## r-cran-publish 2020.12.23

=== DESCRIPTION ===
Package: Publish
Type: Package
Title: Format Output of Various Routines in a Suitable Way for Reports
        and Publication
Description: A bunch of convenience functions that transform the results of some basic statistical analyses
       into table format nearly ready for publication. This includes descriptive tables, tables of
       logistic regression and Cox regression results as well as forest plots. 
Version: 2020.12.23
Authors@R: c(person("Thomas A.", "Gerds", role = c("aut", "cre"),
                    email = "tag@biostat.ku.dk"),
             person("Christian", "Torp-Pedersen", role = "ctb"),
             person("Klaus", "K Holst", role = "ctb"),
             person("Brice", "Ozenne", role = "aut",
                    email = "broz@sund.ku.dk"))
Maintainer: Thomas A. Gerds <tag@biostat.ku.dk>
Depends: prodlim (>= 1.5.4)
Imports: survival (>= 2.38), data.table (>= 1.10.4), lava (>= 1.5.1),
        multcomp (>= 1.4)
Suggests: riskRegression (>= 2020.09.07), testthat, smcfcs (>= 1.4.1),
        rms (>= 6.1.0), mitools (>= 2.4), nlme (>= 3.1-131)
License: GPL (>= 2)
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-04 14:02:56 UTC; tag
Author: Thomas A. Gerds [aut, cre],
  Christian Torp-Pedersen [ctb],
  Klaus K Holst [ctb],
  Brice Ozenne [aut]
Repository: CRAN
Date/Publication: 2021-01-05 18:10:18 UTC

=== debian/changelog ===
r-cran-publish (2020.12.23-2) unstable; urgency=medium

  * Packaging update
  * Test-Depends: r-cran-smcfcs, r-cran-riskregression

 -- Andreas Tille <tille@debian.org>  Wed, 29 Dec 2021 07:45:03 +0100

r-cran-publish (2020.12.23-1) unstable; urgency=medium

  * Initial release (closes: #1001092)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Dec 2021 10:05:49 +0100

=== debian/control ===
Source: r-cran-publish
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-prodlim,
               r-cran-survival,
               r-cran-data.table,
               r-cran-lava,
               r-cran-multcomp
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-publish
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-publish.git
Homepage: https://cran.r-project.org/package=Publish
Rules-Requires-Root: no

Package: r-cran-publish
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R format output of various routines
 This package enabled formatting output of various routines in a suitable
 way for reports and Publication A bunch of convenience functions that
 transform the results of some basic statistical analyses into table
 format nearly ready for publication. This includes descriptive tables,
 tables of logistic regression and Cox regression results as well as
 forest plots.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/Publish_([-\d.]*)\.tar\.gz

## r-cran-publish 2023.01.17

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Description: A bunch of convenience functions that transform the results of some basic statistical analyses
        into table format nearly ready for publication. This includes descriptive tables, tables of
        logistic regression and Cox regression results as well as forest plots. 
-Version: 2020.12.23
+Version: 2023.01.17
 Authors@R: c(person("Thomas A.", "Gerds", role = c("aut", "cre"),
                     email = "tag@biostat.ku.dk"),
              person("Christian", "Torp-Pedersen", role = "ctb"),
@@ -19,12 +19,12 @@
 Suggests: riskRegression (>= 2020.09.07), testthat, smcfcs (>= 1.4.1),
         rms (>= 6.1.0), mitools (>= 2.4), nlme (>= 3.1-131)
 License: GPL (>= 2)
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 NeedsCompilation: no
-Packaged: 2021-01-04 14:02:56 UTC; tag
+Packaged: 2023-01-17 14:12:57 UTC; tag
 Author: Thomas A. Gerds [aut, cre],
   Christian Torp-Pedersen [ctb],
   Klaus K Holst [ctb],
   Brice Ozenne [aut]
 Repository: CRAN
-Date/Publication: 2021-01-05 18:10:18 UTC
+Date/Publication: 2023-01-17 17:40:09 UTC

=== debian/changelog ===
r-cran-publish (2023.01.17-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:15:39 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-data.table,
                r-cran-lava,
                r-cran-multcomp
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-publish
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-publish.git
 Homepage: https://cran.r-project.org/package=Publish

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mitools, r-cran-smcfcs, r-cran-riskregression
Restrictions: allow-stderr

## r-cran-publish 2025.07.24

=== debian/changelog ===
r-cran-publish (2025.07.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Jan 2026 13:53:13 +0900

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
                r-cran-survival,
                r-cran-data.table,
                r-cran-lava,
-               r-cran-multcomp
-Standards-Version: 4.6.2
+               r-cran-multcomp,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-publish
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-publish.git
 Homepage: https://cran.r-project.org/package=Publish

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-riskregression (>= 2020.09.07),
        r-cran-testthat,
        r-cran-smcfcs (>= 1.4.1),
        r-cran-rms (>= 6.1.0),
        r-cran-mitools (>= 2.4),
        r-cran-nlme (>= 3.1-131)
Restrictions: allow-stderr
